API referenceAccount
Get API key spend limits
Returns your spending limits for this API key, plus how much of your daily and monthly budget you have used.
View as MarkdownOpen in ClaudeOpen in ChatGPTConnect the roasOS MCP server: https://mcp.roasos.com/mcp
Returns your spending limits for this API key, plus how much of your daily and monthly budget you have used.
Authorization
bearerAuth AuthorizationBearer <token>
API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...
In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/limits"{ "data": { "policy": { "max_credits_per_request": 1, "approval_threshold_credits": 0, "allowed_models": [ "string" ] }, "daily": { "limit": 1, "used": 0, "remaining": 0, "reset_at": "2019-08-24T14:15:22Z" }, "monthly": { "limit": 1, "used": 0, "remaining": 0, "reset_at": "2019-08-24T14:15:22Z" } }}